1. Import & Export
Apidog API
  • Introduction
  • API Versions
  • Authentication
  • Import & Export
    • Import OpenAPI/Swagger Data
      POST
    • Import Postman Collection Data
      POST
    • Export Data in OpenAPI/Swagger Format
      POST
  • Team Access Grants
    • Assign a team role via the external API
      POST
  • Project Access
    • Find Team Projects by Exact Match
      GET
    • Find Accessible Teams by Exact Match
      GET
    • Grant or Invite Project Access
      POST
    • List Available Project Roles for a Team
      GET
  • Organization Teams
    • Create organization team
      POST
  • Apidog CLI
    • Overview
    • Installing Apidog CLI
    • Apidog CLI Commands & Options
    • Use Apidog CLI with an AI Agent
  • Schemas
    • TeamRole
    • ErrorResponse
    • ProjectAccessMode
    • CreateTeamAccessGrantRequest
    • TeamAccessGrant
    • CreateTeamAccessGrantResponse
  1. Import & Export

Import Postman Collection Data

Apidog Global
https://api.apidog.com
Apidog Global
https://api.apidog.com
POST
/v1/projects/{projectId}/import-postman-collection
Apidog supports importing data in the Postman Collection v2 format.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.apidog.com/v1/projects/{{projectId}}/import-postman-collection?locale=en-US' \
--header 'X-Apidog-Api-Version: 2024-03-28' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
   "input":"{\"info\":{\"name\":\"Swagger Petstore\",\"description\":\"This is a sample server Petstore server.\",\"schema\":\"https://schema.getpostman.com/json/collection/v2.1.0/collection.json\"},\"item\":[],\"variable\":[{\"key\":\"baseUrl\",\"value\":\"//petstore.swagger.io/v2\",\"type\":\"string\"}]}",
   "options":{
      "targetEndpointFolderId":0,
      "endpointOverwriteBehavior":"OVERWRITE_EXISTING",
      "endpointCaseOverwriteBehavior":"OVERWRITE_EXISTING",
      "updateFolderOfChangedEndpoint":false
   }
}'
Response Response Example
{
    "data": {
        "counters": {
            "endpointCreated": 10,
            "endpointUpdated": 0,
            "endpointFailed": 0,
            "endpointIgnored": 0,
            "endpointFolderCreated": 0,
            "endpointFolderUpdated": 0,
            "endpointFolderFailed": 0,
            "endpointFolderIgnored": 0,
            "endpointCaseCreated": 0,
            "endpointCaseUpdated": 0,
            "endpointCaseFailed": 0,
            "endpointCaseIgnored": 0
        }
    }
}
Modified at 2025-10-22 10:24:06
Previous
Import OpenAPI/Swagger Data
Next
Export Data in OpenAPI/Swagger Format
Built with